ogrinfo(1)

NAME
ogrinfo - lists information about an OGR supported data source

SYNOPSIS

ogrinfo [-ro] [-q] [-where restricted_where]
               [-spat xmin ymin xmax ymax] [-fid fid]
               [-sql statement] [-al] [-so] [--formats]
               datasource_name [layer [layer ...]]

DESCRIPTION

The ogrinfo program lists various information about an OGR supported data source to stdout (the terminal).

-ro:
    Open the data source in read-only mode.

-al:
    List all features of all layers (used instead of having to give layer names as arguments).

-so:
    Summary Only: supress listing of features, show only the summary information like projection, schema, feature count and extents.

-q: Quiet verbose reporting of various information, including coordinate system, layer schema, extents, and feature count.

-where restricted_where:
    An attribute query in a restricted form of the queries used in the SQL WHERE statement. Only features matching the attribute query will be reported.

-sql statement:
    Execute the indicated statement and return the result.

-spat xmin ymin xmax ymax:
    The area of interest. Only features within the rectangle will be reported.

-fid fid:
    If provided, only the feature with this feature id will be reported. Operates exclusive of the spatial or attribute queries.

--formats:
    List the format drivers that are enabled.

datasource_name:
    The data source to open. May be a filename, directory or other virtual name. See the OGR Vector Formats list for supported datasources.

layer:
    One or more layer names may be reported.

If no layer names are passed then ogrinfo will report a list of available layers (and their layerwide geometry type). If layer name(s) are given then their extents, coordinate system, feature count, geometry type, schema and all features matching query parameters will be reported to the terminal. If no query parameters are provided, all features are reported.

Geometries are reported in OGC WKT format.

EXAMPLE

Example reporting all layers in an NTF file:

% ogrinfo wrk/SHETLAND_ISLANDS.NTF
INFO: Open of `wrk/SHETLAND_ISLANDS.NTF'
using driver `UK .NTF' successful.
1: BL2000_LINK (Line String)
2: BL2000_POLY (None)
3: BL2000_COLLECTIONS (None)
4: FEATURE_CLASSES (None)

Example using an attribute query is used to restrict the output of the features in a layer:

% ogrinfo -ro -where 'GLOBAL_LINK_ID=185878' wrk/SHETLAND_ISLANDS.NTF BL2000_LINK
INFO: Open of `wrk/SHETLAND_ISLANDS.NTF'
using driver `UK .NTF' successful.
Layer name: BL2000_LINK
Geometry: Line String
Feature Count: 1
Extent: (419794.100000, 1069031.000000) - (419927.900000, 1069153.500000)
Layer SRS WKT:
PROJCS["OSGB 1936 / British National Grid",
    GEOGCS["OSGB 1936",
        DATUM["OSGB_1936",
            SPHEROID["Airy 1830",6377563.396,299.3249646]],
        PRIMEM["Greenwich",0],
        UNIT["degree",0.0174532925199433]],
    PROJECTION["Transverse_Mercator"],
    PARAMETER["latitude_of_origin",49],
    PARAMETER["central_meridian",-2],
    PARAMETER["scale_factor",0.999601272],
    PARAMETER["false_easting",400000],
    PARAMETER["false_northing",-100000],
    UNIT["metre",1]]
LINE_ID: Integer (6.0)
GEOM_ID: Integer (6.0)
FEAT_CODE: String (4.0)
GLOBAL_LINK_ID: Integer (10.0)
TILE_REF: String (10.0)
OGRFeature(BL2000_LINK):2
  LINE_ID (Integer) = 2
  GEOM_ID (Integer) = 2
  FEAT_CODE (String) = (null)
  GLOBAL_LINK_ID (Integer) = 185878
  TILE_REF (String) = SHETLAND I
  LINESTRING (419832.100 1069046.300,419820.100 1069043.800,419808.300 1069048.8
00,419805.100 1069046.000,419805.000 1069040.600,419809.400 1069037.400,419827.4
00 1069035.600,419842 1069031,419859.000 1069032.800,419879.500 1069049.500,4198
86.700 1069061.400,419890.100 1069070.500,419890.900 1069081.800,419896.500 1069
086.800,419898.400 1069092.900,419896.700 1069094.800,419892.500 1069094.300,419
878.100 1069085.600,419875.400 1069087.300,419875.100 1069091.100,419872.200 106
9094.600,419890.400 1069106.400,419907.600 1069112.800,419924.600 1069133.800,41
9927.900 1069146.300,419927.600 1069152.400,419922.600 1069153.500,419917.100 10
69153.500,419911.500 1069153.000,419908.700 1069152.500,419903.400 1069150.800,4
19898.800 1069149.400,419894.800 1069149.300,419890.700 1069149.400,419890.600 1
069149.400,419880.800 1069149.800,419876.900 1069148.900,419873.100 1069147.500,
419870.200 1069146.400,419862.100 1069143.000,419860 1069142,419854.900 1069138.
600,419850 1069135,419848.800 1069134.100,419843 1069130,419836.200 1069127.600,
419824.600 1069123.800,419820.200 1069126.900,419815.500 1069126.900,419808.200
1069116.500,419798.700 1069117.600,419794.100 1069115.100,419796.300 1069109.100
,419801.800 1069106.800,419805.000 1069107.300)

AUTHORS

Frank Warmerdam <warmerdam@pobox.com> Silke Reimer <silke@intevation.de>